//+------------------------------------------------------------------+
//|                                               PriceBar_Clock.mq4 |
//|                                                                  |
//|                                                                  | 
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, Nick Bilak"

#property indicator_chart_window

//---- buffers
double s1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()

  {
   
  }
   return(0);
  
  
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
    ObjectDelete("COMPANY_LABEL");

    return(0);
  }


//+------------------------------------------------------------------+
//| Custom functions                                                 |
//+------------------------------------------------------------------+
 int CompanyLabel()
  {
    if(ObjectFind("COMPANY_LABEL") != 0)
    {
      ObjectCreate("COMPANY_LABEL", OBJ_LABEL,0,0,0);
      ObjectSetText("COMPANY_LABEL","www.RichardConsultancy.com" , 10, "Arial", Yellow);
      ObjectSet("COMPANY_LABEL", OBJPROP_XDISTANCE,250);
      ObjectSet("COMPANY_LABEL", OBJPROP_YDISTANCE,0);
      return(1);
    }
    else
    {
      ObjectMove("COMPANY_LABEL", 0, 0, 0);
      return(0);
    }
 }




  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

	double i;
	CompanyLabel();
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   i=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
   Comment( m + " minutes " + s + " seconds left to bar end");
	
	
   ObjectDelete("time");
   
   if(ObjectFind("time") != 0)
   {
   ObjectCreate("time", OBJ_TEXT, 0, Time[0], Close[0]+ 0.0005);
   ObjectSetText("time", "                       <--"+m+":"+s, 13, "Verdana", Yellow);
   }
   else
   {
   ObjectMove("time", 0, Time[0], Close[0]+0.0005);
   }


   return(0);
  }
//+------------------------------------------------------------------+


